<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>org.springframework.boot</groupId>
		<artifactId>spring-boot-starter-parent</artifactId>
		<version>2.5.1</version>
		<relativePath/> <!-- lookup parent from repository -->
	</parent>
	<groupId>kr.co.i4way</groupId>
	<artifactId>Gen_Web_API</artifactId>
	<version>0.0.1-SNAPSHOT</version>
	<name>Gen_Web_API</name>
	<description>Genesys Web Application</description>

	<properties>
		<java.version>1.8</java.version>
		<maven-jar-plugin.version>3.1.1</maven-jar-plugin.version>
	</properties>

	<dependencies>
		
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web</artifactId>
		</dependency>

		<dependency>
			<groupId>com.oracle.database.jdbc</groupId>
			<artifactId>ojdbc8</artifactId>
			<scope>runtime</scope>
		</dependency>
		<dependency>
			<groupId>mysql</groupId>
			<artifactId>mysql-connector-java</artifactId>
			<scope>runtime</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
			<scope>test</scope>
		</dependency>

		<!-- https://mvnrepository.com/artifact/commons-codec/commons-codec -->
		<dependency>
		    <groupId>commons-codec</groupId>
		    <artifactId>commons-codec</artifactId>
		    <version>1.11</version>
		</dependency>

		<dependency>
		    <groupId>org.json</groupId>
		    <artifactId>json</artifactId>
		    <version>20180813</version>
		</dependency>

		<!-- https://mvnrepository.com/artifact/net.minidev/json-smart -->
		<dependency> 
		    <groupId>net.minidev</groupId>
		    <artifactId>json-smart</artifactId>
		    <version>2.3</version>
		</dependency>

   	 	<!-- Genesys Library -->   
		<dependency>
			<groupId>apptemplate</groupId>
			<artifactId>apptemplate</artifactId>
			<version>9.0.007</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/apptemplate.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>apptemplate-log4j2</groupId>
			<artifactId>apptemplate-log4j2</artifactId>
			<version>9.0.007</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/apptemplate-log4j2.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>clusterprotocolappblock</groupId>
			<artifactId>clusterprotocolappblock</artifactId>
			<version>9.0.007</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/clusterprotocolappblock.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>comappblock</groupId>
			<artifactId>comappblock</artifactId>
			<version>9.0.007</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/comappblock.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>commons</groupId>
			<artifactId>commons</artifactId>
			<version>9.0.007</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/commons.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>commonsappblock</groupId>
			<artifactId>commonsappblock</artifactId>
			<version>9.0.007</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/commonsappblock.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>configurationprotocol</groupId>
			<artifactId>configurationprotocol</artifactId>
			<version>9.0.007</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/configurationprotocol.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>connection</groupId>
			<artifactId>connection</artifactId>
			<version>9.0.007</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/connection.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>contactsprotocol</groupId>
			<artifactId>contactsprotocol</artifactId>
			<version>9.0.007</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/contactsprotocol.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>jackson2-module</groupId>
			<artifactId>jackson2-module</artifactId>
			<version>9.0.007</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/jackson2-module.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>kvlistbinding</groupId>
			<artifactId>kvlistbinding</artifactId>
			<version>9.0.007</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/kvlistbinding.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>kvlists</groupId>
			<artifactId>kvlists</artifactId>
			<version>9.0.007</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/kvlists.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>logging</groupId>
			<artifactId>logging</artifactId>
			<version>9.0.007</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/logging.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>managementprotocol</groupId>
			<artifactId>managementprotocol</artifactId>
			<version>9.0.007</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/managementprotocol.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>messagebrokerappblock</groupId>
			<artifactId>messagebrokerappblock</artifactId>
			<version>9.0.007</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/messagebrokerappblock.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>netty-all-4.1.51.Final</groupId>
			<artifactId>netty-all-4.1.51.Final</artifactId> 
			<version>4.1.51.Final</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/netty-all-4.1.51.Final.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>openmediaprotocol</groupId>
			<artifactId>openmediaprotocol</artifactId>
			<version>9.0.007</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/openmediaprotocol.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>outboundprotocol</groupId>
			<artifactId>outboundprotocol</artifactId>
			<version>9.0.007</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/outboundprotocol.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>protocol</groupId>
			<artifactId>protocol</artifactId>
			<version>9.0.007</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/protocol.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>protocolmanagerappblock</groupId>
			<artifactId>protocolmanagerappblock</artifactId>
			<version>9.0.007</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/protocolmanagerappblock.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>reportingprotocol</groupId>
			<artifactId>reportingprotocol</artifactId>
			<version>9.0.007</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/reportingprotocol.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>routingprotocol</groupId>
			<artifactId>routingprotocol</artifactId>
			<version>9.0.007</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/routingprotocol.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>system</groupId>
			<artifactId>system</artifactId>
			<version>9.0.007</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/system.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>voiceprotocol</groupId>
			<artifactId>voiceprotocol</artifactId>
			<version>9.0.007</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/voiceprotocol.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>warmstandbyappblock</groupId>
			<artifactId>warmstandbyappblock</artifactId>
			<version>9.0.007</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/warmstandbyappblock.jar</systemPath>
		</dependency>
		<dependency>
			<groupId>webmediaprotocol</groupId>
			<artifactId>webmediaprotocol</artifactId>
			<version>9.0.007</version>
			<scope>system</scope>
			<systemPath>${basedir}/lib/webmediaprotocol.jar</systemPath>
		</dependency>
	</dependencies>

	<build>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
			</plugin>
		</plugins>
	</build>

</project>
